requires the machine that hosts the fastdl to have vsftpd running. also php-fpm and nginx.
for php-fpm remember to potentially change the www-data user to the nginx user. check in the /etc/php/ folder for it.

bucket notes:

rclone conf location:
/home/username/.config/rclone/rclone.conf

OVH bucket ACL access example:
aws s3api put-bucket-acl \
  --bucket bucket-name-here \
  --acl public-read \
  --endpoint-url https://s3.<region>.io.cloud.ovh.net/


OVH delete versions of files from one specific bucket:
rclone purge ovh_toronto:toronto-bucket --s3-versions

OVH upload lifecycle.json to a bucket:
aws s3api put-bucket-lifecycle-configuration --bucket unloze-uk-bucket --lifecycle-configuration file://lifecycle.json --endpoint-url https://s3.uk.io.cloud.ovh.net/

OVH review that the json file is active:
aws s3api get-bucket-lifecycle-configuration --bucket unloze-uk-bucket --endpoint-url https://s3.uk.io.cloud.ovh.net/

OVH webpannel: create a replication rule from the UK machine to the other buckets, add user to the new bucket, also remember each new bucket needs versioning enabled for replication.

afterwards remember to update the gameserver config file with the virtual hosted style endpoint and longtitude and lattitude added.
